Bug 1310997 - Usability: Suboptimal entries order in context menu
Usability: Suboptimal entries order in context menu
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: keepassx (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 02:15 EST by Paweł Brodacki
Modified: 2016-12-20 13:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:57:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paweł Brodacki 2016-02-23 02:15:18 EST
Description of problem:

In the KeePassX 2 the context menu invoked when an entry is right-clicked was changed from usable to non-usable.

Currently the menu entries available after right clicking a KeePassX base entry are (top to bottom):
Add new entry
Clone entry
View/edit entry
Delete entry
Copy username
Copy password
Copy attribute to clipboard 
Perform auto type
Open URL
Find

Compare it to the menu from the previous version (I'm using Windows version of 0.4.3 as a reference, but I don't remember the menus being different on different platforms):
Copy Username to Clipboard
Copy Password to Clipboard
Open URL
Copy URL to Clipboard
Save Attachment As
<separator>
Add New Entry
View/Edit Entry
Clone Entry
Delete Entry

The three actions that I use most when interacting with an entry in KeePassX are: copy username, copy password and copy URL. It just so happens, that all three of them are in the top 4 positions in the old menu layout. In the new menu they are on positions 5 and 6 (username and password), and copying the URL requires using a sub-menu accessible from position 7 of the context menu.

I am willing to admit that my use case may not be typical (sample of 1 is a small statistics), however I find it hard to believe, that when a typical user right-clicks on a KeePassX base entry he wants to 
Add new entry
Clone entry
View/edit entry
or
Delete entry

It is my considered opinion, that the old menu layout was better, because it made the most useful menu entries (copy username and password) most accessible and easiest to use. I would like to propose re-arrangement of the menu to be similar to the old one. I think I would like

Copy username
Copy password
Open URL
Copy URL to clipboard 
Copy attribute to clipboard 
<separator>
Add new entry
Clone entry
View/edit entry
Delete entry
Perform auto type
Find

more than the current layout. 


Version-Release number of selected component (if applicable):
keepassx-2.0.0-1.fc23.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Open a non-empty KeePassX 2 base.
2. Right-click on any base entry.
3.

Actual results:
Context menu with following entries is displayed:
Add new entry
Clone entry
View/edit entry
Delete entry
Copy username
Copy password
Copy attribute to clipboard 
Perform auto type
Open URL
Find

Expected results:
Context menu with entries ordered to make it easy to use most common tasks is displayed. Proposed menu entry order:
Copy username
Copy password
Open URL
Copy URL to clipboard 
Copy attribute to clipboard 
<separator>
Add new entry
Clone entry
View/edit entry
Delete entry
Perform auto type
Find


Additional info:
Comment 1 Fedora End Of Life 2016-11-24 10:42:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:57:11 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.